**Source URL:** https://general.veevavault.dev/qualityone/vault-api/api-reference/20.2/bulk-active-workflow-actions/initiate-cancel-action-on-multiple-workflows.md

# Initiate Cancel Action on Multiple Workflows



Use this request to initiate the cancel action on multiple workflows. This starts an asynchronous job whose status you can check with the Retrieve Job Status endpoint. Maximum 500 workflows per request.

<Endpoint path="/api/{version}/object/workflow/actions/{action}" method="POST"></Endpoint>

## Headers {#headers}

<FieldTable>
| Name | Description |
| --- | --- |
| `Content-Type` | `application/x-www-form-urlencoded` |
| `Accept` | `application/json` (default) or `application/xml` |
</FieldTable>

## URI Path Parameters {#uri-path-parameters}

<FieldTable>
| Name | Description |
| --- | --- |
| `action` | The name of the workflow action. To get this value, [Retrieve Bulk Workflow Actions](/vault-api/api-reference/20.2/bulk-active-workflow-actions/retrieve-bulk-workflow-actions). In API v20.2, only `cancelworkflows` is supported. |
</FieldTable>

## Body Parameters {#body-parameters}

<FieldTable>
| Name | Description |
| --- | --- |
| `workflow_ids` | Input a comma-separated list of `workflow_id__v` field values. Maximum 500 workflows. |
</FieldTable>

## Request {#request}

<CodeExample title="">
```
curl -L -X POST '\ -H 'Authorization: {SESSION_ID}' \
-H 'Content-Type: application/x-www-form-urlencoded' \
--data-urlencode 'workflow_ids=2903,2904,2905' \
https://myvault.veevavault.com/api/v20.2/object/workflow/actions/cancelworkflows'

```
</CodeExample>

## Response {#response}

<CodeExample title="">
```
{
   "responseStatus": "SUCCESS",
   "data": {
       "job_id": 93601
   }
}

```
</CodeExample>

## Response Details {#response-details}

On SUCCESS, the response returns the `job_id` for the action, and the authenticated user will receive an email notification with details of any failures that occur.



---

**Previous:** [Retrieve Cancel Workflow Action Details](/qualityone/vault-api/api-reference/20.2/bulk-active-workflow-actions/retrieve-cancel-workflow-action-details)  
**Next:** [Expected Document Lists](/qualityone/vault-api/api-reference/20.2/expected-document-lists)